/// <reference types="lodash" />
import { ReactNode } from 'react';
import { SelectBox, SelectBoxProps } from '../select-box/SelectBox';
import ObserverRadio from '../radio/Radio';
import { ViewMode } from '../radio/enum';
import Option, { OptionProps } from '../option/Option';
export interface SegmentedProps extends SelectBoxProps {
    fullWidth?: boolean;
}
export default class Segmented extends SelectBox<SegmentedProps> {
    static displayName: string;
    static defaultProps: {
        suffixCls: string;
        mode: ViewMode;
        vertical: boolean;
        selectAllButton: boolean;
        checkValueOnOptionsChange: boolean;
        combo: boolean;
        onOption: ({ record }: {
            record: any;
        }) => {
            disabled: any;
        };
        clearButton: boolean;
        popupPlacement: string;
        triggerShowDelay: number;
        triggerHiddenDelay: number;
        viewMode: import("../trigger-field/enum").TriggerViewMode;
        multiple: boolean;
        border: boolean;
        valueChangeAction: import("../text-field/enum").ValueChangeAction;
        waitType: import("../core/enum").WaitType;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    static Option: typeof Option;
    constructor(props: any, context: any);
    activeRadio?: ObserverRadio | null;
    get multiple(): boolean;
    get range(): boolean;
    get searchable(): boolean;
    get mode(): ViewMode | undefined;
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleBrowerResize: import("lodash").DebouncedFunc<() => void>;
    initValue(): void;
    saveActiveNode(node: any): void;
    getOmitPropsKeys(): string[];
    getWrapperClassNames(...args: any[]): string;
    getClassName(...props: any[]): string | undefined;
    renderSegmentedActive(): JSX.Element;
    renderSelectItems(items: ReactNode): ReactNode;
    getOptionOtherProps(checked: boolean): OptionProps;
    isSearchFieldInPopup(): boolean | undefined;
    renderSearcher(): ReactNode;
    renderSelectAll(): ReactNode | void;
}
